//  
//   Rebex Sample Code License
// 
//   Copyright 2026, REBEX CR s.r.o.
//   All rights reserved.
//   https://www.rebex.net/
// 
//   Permission to use, copy, modify, and/or distribute this software for any
//   purpose with or without fee is hereby granted.
// 
//   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
//   EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
//   OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//   NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
//   HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
//   WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
//   FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
//   OTHER DEALINGS IN THE SOFTWARE.
// 

using System;
using System.ComponentModel;
using System.Windows.Forms;
using Rebex.TerminalEmulation;

namespace Rebex.Samples.Scripts
{
    [Description("07: Checking text at screen position")]
    public class TextAtPosition
    {
        public static void Execute(Scripting scripting)
        {
            // determine the row above the cursor
            int textRow = Math.Max(0, scripting.Terminal.Screen.CursorTop - 1);

            // check for text
            ScriptMatch match = scripting.CheckFor(
                ScriptEvent.TextAtPosition("Hello world!", textRow, 0)
            );

            // display a message indicating whether the text was found
            if (match.Success)
                MessageBox.Show("'Hello world!' found.");
            else
                MessageBox.Show("'Hello world!' not found.");

            // end of script
        }
    }
}
